---
title: List dead
url: https://www.tines.com/docs/api/admin/jobs/list-dead/
updated: 2024-05-21T14:23:11+00:00
description: Retrieve a list of dead jobs from the Tines tenant. This endpoint is relevant for dedicated tenants only.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Admin](https://www.tines.com/llm/docs/api/admin.md) › [Jobs](https://www.tines.com/llm/docs/api/admin/jobs.md)*

# List dead

*[View on tines.com](https://www.tines.com/docs/api/admin/jobs/list-dead/)*

## Description

Retrieve a list of dead jobs from the Tines tenant. This endpoint is relevant for dedicated tenants only.

## Request

HTTP Method: **GET**

| Query Parameter | Description                                                               |
| --------------- | ------------------------------------------------------------------------- |
| page            | **Optional** Retrieve page number from the paginated list. Defaults to 1. |
| per_page        | **Optional** Set the number of results returned per page. Defaults to 20. |

```bash
curl -X GET \
  https://<tenant-domain>/api/v1/admin/dead_jobs \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return a JSON Array describing dead jobs in the Tines tenant.

### Field description

| Parameter       | Description                                                      |
| --------------- | ---------------------------------------------------------------- |
| id              | Job ID.                                                          |
| type            | Job type.                                                        |
| agent (Hash)    | Contains action description (AgentReceiveJob type entries only). |
| agent (Integer) | Action ID (CredentialRefreshJob type entries only).              |
| events          | Event ID.                                                        |
| retry_count     | Amount of times the job has been retried.                        |
| last_retry      | Time of the last retry.                                          |
| error_class     | Job error type.                                                  |

### Sample response

```json
{
    "admin/dead_jobs":
    [
      {
          id: 1234,
          type: "AgentReceiveJob",
          agent: {
            id: 1,
            name: "Action 01",
          },
          events: 1,
          retry_count: 5,
          last_retry: 1567399360.056226,
          error_class: ArgumentError
      },
      {
          id: 1237,
          type: "CredentialRefreshJob",
          agent: 1,
          retry_count: 5,
          last_retry: "",
          error_class: ArgumentError
      }
    ]
    "meta": {
        "current_page": "https://<tenant-domain>/api/v1/admin/dead_jobs?page=1&per_page=20",
        "previous_page": null,
        "next_page": "https://<tenant-domain>/api/v1/admin/dead_jobs?page=2&per_page=20",
        "next_page_number": 2,
        "per_page": 20,
        "pages": 0,
        "count": 0
    }
}
```
